Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# AppShell Class Reference

Inheritance diagram for AppShell:

List of all members.

## Public Member Functions
def | __init__
def | addVariable
def | addWidget
| WIDGET UTILITY FUNCTIONS ##.
def | alignbuttons
def | appInit
| USER METHODS ### To be overridden.
def | balloon
def | bind
def | buttonAdd
def | buttonBox
def | createInterface
def | createMenuBar
def | createWidget
def | getVariable
def | getWidget
def | interior
def | messageBar
def | newCreateButton
def | newCreateCheckbutton
def | newCreateColorEntry
def | newCreateComboBox
def | newCreateDial
def | newCreateEntryScale
def | newCreateFloater
def | newCreateLabeledEntry
def | newCreateOptionMenu
def | newCreateRadiobutton
def | newCreateSider
def | newCreateVector2Entry
def | newCreateVector3Entry
def | onDestroy
def | quit
def | showAbout
def | toggleBalloon
def | transformRGB
def | updateProgress
## Public Attributes
| about
| balloonState
| dataArea
| id
| menuBar
| menuFrame
| parent
| toggleBalloonVar
| variableDict
| widgetDict
## Static Public Attributes
string | appname = 'Generic Application Frame'
string | appversion = '1.0'
string | balloonState = 'none'
string | contactemail = 'Mark.Mine@disney.com'
string | contactname = 'Mark R. Mine'
string | contactphone = '(818) 544-2921'
tuple | copyright
int | frameHeight = 320
int | frameWidth = 450
int | padx = 5
int | pady = 5
int | panelCount = 0
int | usecommandarea = 0
int | usestatusarea = 0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent = `None`,
|  |  | kw
| ) |  |

Reimplemented in TestAppShell.

## Member Function Documentation

def addVariable | ( |  | self,
|  |  | category,
|  |  | text,
|  |  | variable
| ) |  |

def addWidget | ( |  | self,
|  |  | category,
|  |  | text,
|  |  | widget
| ) |  |

WIDGET UTILITY FUNCTIONS ##.

def alignbuttons | ( |  | self | ) |

    Make all buttons wide as widest

def appInit | ( |  | self | ) |

USER METHODS ### To be overridden.

def balloon | ( |  | self | ) |

def bind | ( |  | self,
|  |  | child,
|  |  | balloonHelpMsg,
|  |  | statusHelpMsg = `None`
| ) |  |

def buttonAdd | ( |  | self,
|  |  | buttonName,
|  |  | helpMessage = `None`,
|  |  | statusMessage = `None`,
|  |  | kw
| ) |  |

def buttonBox | ( |  | self | ) |

def createInterface | ( |  | self | ) |

Reimplemented in TestAppShell.

def createMenuBar | ( |  | self | ) |

def createWidget | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | widgetClass,
|  |  | help,
|  |  | command,
|  |  | side,
|  |  | fill,
|  |  | expand,
|  |  | kw
| ) |  |

def getVariable | ( |  | self,
|  |  | category,
|  |  | text
| ) |  |

def getWidget | ( |  | self,
|  |  | category,
|  |  | text
| ) |  |

def interior | ( |  | self | ) |

def messageBar | ( |  | self | ) |

def newCreateButton | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

    createButton(parent, category, text, [options])

def newCreateCheckbutton | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | initialState = `0`,
|  |  | anchor = `W`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

    createCheckbutton(parent, category, text, [options])

def newCreateColorEntry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def newCreateComboBox | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | items = `[]`,
|  |  | state = `DISABLED`,
|  |  | history = `0`,
|  |  | labelpos = `W`,
|  |  | label_anchor = `W`,
|  |  | label_width = `16`,
|  |  | entry_width = `16`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def newCreateDial | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def newCreateEntryScale | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def newCreateFloater | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def newCreateLabeledEntry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | value = `''`,
|  |  | width = `12`,
|  |  | relief = `SUNKEN`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`
| ) |  |

    createLabeledEntry(parent, category, text, [options])

def newCreateOptionMenu | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | items = `[]`,
|  |  | labelpos = `W`,
|  |  | label_anchor = `W`,
|  |  | label_width = `16`,
|  |  | menu_tearoff = `1`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def newCreateRadiobutton | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | variable,
|  |  | value,
|  |  | command = `None`,
|  |  | help = `''`,
|  |  | anchor = `W`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

    createRadiobutton(parent, category, text, variable, value, [options])

def newCreateSider | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def newCreateVector2Entry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def newCreateVector3Entry | ( |  | self,
|  |  | parent,
|  |  | category,
|  |  | text,
|  |  | help = `''`,
|  |  | command = `None`,
|  |  | side = `LEFT`,
|  |  | fill = `X`,
|  |  | expand = `0`,
|  |  | kw
| ) |  |

def onDestroy | ( |  | self,
|  |  | event
| ) |  |

def quit | ( |  | self | ) |

def showAbout | ( |  | self | ) |

def toggleBalloon | ( |  | self | ) |

def transformRGB | ( |  | self,
|  |  | rgb,
|  |  | max = `1.0`
| ) |  |

def updateProgress | ( |  | self,
|  |  | newValue = `0`,
|  |  | newMax = `0`
| ) |  |

## Member Data Documentation

about

string appname = 'Generic Application Frame'`[static]`

Reimplemented in TestAppShell.

string appversion = '1.0'`[static]`

string balloonState = 'none'`[static]`

balloonState

string contactemail = 'Mark.Mine@disney.com'`[static]`

string contactname = 'Mark R. Mine'`[static]`

string contactphone = '(818) 544-2921'`[static]`

tuple copyright`[static]`

Initial value:

    ('Copyright 2004 Walt Disney Imagineering.' +
                           ' All Rights Reserved')

dataArea

int frameHeight = 320`[static]`

int frameWidth = 450`[static]`

id

menuBar

menuFrame

int padx = 5`[static]`

int pady = 5`[static]`

int panelCount = 0`[static]`

parent

toggleBalloonVar

int usecommandarea = 0`[static]`

Reimplemented in TestAppShell.

int usestatusarea = 0`[static]`

Reimplemented in TestAppShell.

variableDict

widgetDict

All Classes Namespaces Functions Variables Enumerations Enumerator Properties